import { reactive } from 'vue';

const usePage = (size = 15, isScroll = false) => {
  const page = reactive({
    pageSize: 15,
    pageNum: 1,
    total: 0,
  });
  const setPageSize = () => {
    if (isScroll) {
      page.pageSize = size + 10;
    } else {
      page.pageSize = size;
    }
  };
  return { page, setPageSize };
};
export default usePage;
