export interface HeaderField {
  align: 'left' | 'center' | 'right';
  fieldName: string;
  id: string | number;
  isDefault: boolean;
  isFixed: boolean;
  isHide: boolean; //隐藏
  moduleType: number;
  name: string;
  seq: number;
  type?: string;
  width: number | undefined;
}
export interface Sort {
  sortColumnCn: string | null;
  sortType: null | 1 | 2;
}
export interface SearchConfig {
  placeholder?: string;
  prop: string;
  maxlength?:number;
  inputType?: string;
  maxsize?: string;
}
